Bug 825076 - Copy Trans ignores some translations when duplicate contents are detected on a single document.
Copy Trans ignores some translations when duplicate contents are detected on ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
medium Severity medium
: ---
: 1.6
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 23:16 EDT by Carlos Munoz
Modified: 2012-06-21 20:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120606-0019)
Doc Type: Bug Fix
Doc Text:
Cause Users attempting to push documents which may contain the same content on different translation units for the first time to a new version. Consequence If this is a new version that qualifies for copyTrans and copyTrans is in fact enabled, copy trans might skip some of these translation units with duplicate content. Fix Changed the copyTrans mechanism to account for these duplicate content scenarios. Result Copy trans should now find the appropriate translation for all the expected translation units and copy them correctly to the new version.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-05-24 23:16:33 EDT
Description of problem:
Copy trans might skip a few translations if there are multiple text flows with the same content on the same document.


Version-Release number of selected component (if applicable):
1.6-SNAPSHOT

How reproducible:


Steps to Reproduce:
1. Push a project to Zanata that contains documents with multiple text flows with the same content (different restId).
2. Translate the project, more specifically the duplicate content text flows.
3. Create a new version for the project.
4. Push to the new version with the copyTrans option enabled.
  
Actual results:
Some of the text flows with duplicate content won't have a translation in the new version even though copy trans should have found one.

Expected results:
Copy trans should find matching translations for all translated text flows.
Comment 1 Carlos Munoz 2012-05-24 23:57:02 EDT
Corrected the copyTrans query and added some tests for it.

See:
https://github.com/zanata/zanata/commit/fb450e293676285c5a4e33a5925d0a2f12a31a48
Comment 2 Carlos Munoz 2012-06-05 21:26:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
Users attempting to push documents which may contain the same content on different translation units for the first time to a new version. 

Consequence
If this is a new version that qualifies for copyTrans and copyTrans is in fact enabled, copy trans might skip some of these translation units with duplicate content.

Fix
Changed the copyTrans mechanism to account for these duplicate content scenarios.

Result
Copy trans should now find the appropriate translation for all the expected translation units and copy them correctly to the new version.
Comment 3 Ding-Yi Chen 2012-06-07 02:25:43 EDT
Verified: Zanata version 1.6.1-SNAPSHOT (20120606-0019)

Note You need to log in before you can comment on or make changes to this bug.